Bug 859771 - rhythmbox - no sound - libpeas-WARNING **: audiocd:
rhythmbox - no sound - libpeas-WARNING **: audiocd:
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 19:23 EDT by Flóki Pálsson
Modified: 2012-10-12 01:17 EDT (History)
6 users (show)

See Also:
Fixed In Version: rhythmbox-2.98-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-12 01:17:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flóki Pálsson 2012-09-23 19:23:36 EDT
Description of problem:
No sound from rhythmbox.

Version-Release number of selected component (if applicable):
rhythmbox-2.97-5.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1.  rhythmbox
2.  too click on song in Rhythmbox
3.
  
Actual results:
(rhythmbox:2334): libpeas-WARNING **: audiocd: /usr/lib64/rhythmbox/plugins/audiocd/libaudiocd.so: undefined symbol: sj_metadata_musicbrainz5_get_type

(rhythmbox:2334): libpeas-WARNING **: Error loading plugin 'audiocd'

(rhythmbox:2334): GLib-GObject-WARNING **: specified class size for type `GstPulseSrc' is smaller than the parent type's `GstAudioSrc' class size

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-CRITICAL **: g_once_init_leave: assertion `result != 0' failed

(rhythmbox:2334): GStreamer-CRITICAL **: gst_element_register: assertion `g_type_is_a (type, GST_TYPE_ELEMENT)' failed

(rhythmbox:2334): GLib-GObject-WARNING **: specified class size for type `GstAlsaSrc' is smaller than the parent type's `GstAudioSrc' class size

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-CRITICAL **: g_once_init_leave: assertion `result != 0' failed

(rhythmbox:2334): GStreamer-CRITICAL **: gst_element_register: assertion `g_type_is_a (type, GST_TYPE_ELEMENT)' failed

(rhythmbox:2334): GLib-GObject-WARNING **: specified class size for type `GstOss4Sink' is smaller than the parent type's `GstAudioSink' class size

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-CRITICAL **: g_once_init_leave: assertion `result != 0' failed

(rhythmbox:2334): GStreamer-CRITICAL **: gst_element_register: assertion `g_type_is_a (type, GST_TYPE_ELEMENT)' failed

(rhythmbox:2334): GLib-GObject-WARNING **: specified class size for type `GstOssSrc' is smaller than the parent type's `GstAudioSrc' class size

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-CRITICAL **: g_once_init_leave: assertion `result != 0' failed

(rhythmbox:2334): GStreamer-CRITICAL **: gst_element_register: assertion `g_type_is_a (type, GST_TYPE_ELEMENT)' failed

(rhythmbox:2334): GLib-GObject-WARNING **: specified class size for type `GstFlacEnc' is smaller than the parent type's `GstAudioEncoder' class size

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-CRITICAL **: g_once_init_leave: assertion `result != 0' failed

(rhythmbox:2334): GStreamer-CRITICAL **: gst_element_register: assertion `g_type_is_a (type, GST_TYPE_ELEMENT)' failed

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed

(rhythmbox:2334): GLib-GObject-WARNING **: specified class size for type `GstVolume' is smaller than the parent type's `GstAudioFilter' class size

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-GObject-CRITICAL **: g_type_add_interface_static: assertion `G_TYPE_IS_INSTANTIATABLE (instance_type)' failed

(rhythmbox:2334): GLib-CRITICAL **: g_once_init_leave: assertion `result != 0' failed

(rhythmbox:2334): GStreamer-CRITICAL **: gst_element_register: assertion `g_type_is_a (type, GST_TYPE_ELEMENT)' faile

Expected results:
Rhythmbox to play selected song.

Additional info:
ogg123 works
Comment 1 Tom London 2012-09-30 15:27:07 EDT
In addition to no sound, if you hit the 'next' button, rhythmbox crashes (every time):

Sep 30 12:19:25 tlondon kernel: [ 2893.828889] rhythmbox[2364]: segfault at a8 ip 00000039a701403f sp 00007fffaac75170 error 6 in libgstaudio-1.0.so.0.0.0[39a7000000+45000]

Here is a backtrace from gdb:

Core was generated by `rhythmbox'.
Program terminated with signal 11, Segmentation fault.
#0  gst_audio_clock_new (name=name@entry=0x7f7220b41bea "GstPulseSinkClock", 
    func=func@entry=0x7f7220b332e0 <gst_pulsesink_get_time>, 
    user_data=user_data@entry=0x3da7fd0, destroy_notify=0x4)
    at gstaudioclock.c:142
142	  aclock->func = func;
Missing separate debuginfos, use: debuginfo-install fluendo-codecs-mp3-15-5.x86_64
(gdb) set pagination off
(gdb) bt full
#0  gst_audio_clock_new (name=name@entry=0x7f7220b41bea "GstPulseSinkClock", func=func@entry=0x7f7220b332e0 <gst_pulsesink_get_time>, user_data=user_data@entry=0x3da7fd0, destroy_notify=0x4) at gstaudioclock.c:142
        aclock = 0x0
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#1  0x00007f7220b32874 in gst_pulsesink_init (pulsesink=, klass=<optimized out>) at pulsesink.c:2220
No locals.
#2  0x0000003984e3011f in g_type_create_instance (type=61437904) at gtype.c:1890
        node = 0x3a977d0
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        instance = 
        class = 0x3da6400
        i = <optimized out>
        total_size = <optimized out>
#3  0x0000003984e14a38 in g_object_constructor (type=<optimized out>, n_construct_properties=2, construct_params=0x3da71e0) at gobject.c:1854
        object = <optimized out>
#4  0x0000003984e16001 in g_object_newv (object_type=object_type@entry=61437904, n_parameters=n_parameters@entry=1, parameters=parameters@entry=0x3da7dc0) at gobject.c:1718
        cparams = 0x3da71e0
        oparams = 0x3da71c0
        nqueue = 0x0
        object = <optimized out>
        class = 0x3da6400
        unref_class = 0x0
        slist = <optimized out>
        n_total_cparams = <optimized out>
        n_cparams = 2
        n_oparams = <optimized out>
        n_cvalues = <optimized out>
        cvalues = <optimized out>
        clist = <optimized out>
        newly_constructed = <optimized out>
        i = <optimized out>
        __PRETTY_FUNCTION__ = "g_object_newv"
#5  0x0000003984e167f0 in g_object_new_valist (object_type=object_type@entry=61437904, first_property_name=first_property_name@entry=0x39a64b9ce2 "name", var_args=var_args@entry=0x7fffaac75408) at gobject.c:1835
        class = 0x3da6400
        params = 0x3da7dc0
        name = 0x0
        object = <optimized out>
        n_params = <optimized out>
        n_alloced_params = <optimized out>
        __PRETTY_FUNCTION__ = "g_object_new_valist"
#6  0x0000003984e16b24 in g_object_new (object_type=61437904, first_property_name=first_property_name@entry=0x39a64b9ce2 "name") at gobject.c:1550
        object = <optimized out>
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fffaac754f0, reg_save_area = 0x7fffaac75420}}
        __PRETTY_FUNCTION__ = "g_object_new"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#7  0x00000039a6442e45 in gst_element_factory_create (factory=factory@entry=, name=name@entry=0x3ab16a0 "autoaudiosink1-actual-sink-pulse") at gstelementfactory.c:385
        element = <optimized out>
        oclass = <optimized out>
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        newfactory = 
        __PRETTY_FUNCTION__ = "gst_element_factory_create"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#8  0x00007f7220d4b314 in gst_auto_audio_sink_create_element_with_pretty_name (factory=, sink=) at gstautoaudiosink.c:230
        element = <optimized out>
        name = 0x3ab16a0 "autoaudiosink1-actual-sink-pulse"
        marker = 0x3da3ea0 "\001"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#9  gst_auto_audio_sink_find_best (sink=) at gstautoaudiosink.c:261
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        f = 
        choice = 0x0
        message = <optimized out>
        item = 0x7f721d13a740 = {0x23e2360, 0x2421120, 0x24165a0, 0x2402d80}
        errors = <optimized out>
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        bus = 
        no_match = <optimized out>
        list = 0x7f721d13a740 = {0x23e2360, 0x2421120, 0x24165a0, 0x2402d80}
        el_pad = <optimized out>
        el_caps = <optimized out>
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#10 gst_auto_audio_sink_detect (sink=) at gstautoaudiosink.c:342
        esink = 0x3da3ea0
        targetpad = <optimized out>
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#11 gst_auto_audio_sink_change_state (element=, transition=GST_STATE_CHANGE_NULL_TO_READY) at gstautoaudiosink.c:390
        ret = GST_STATE_CHANGE_SUCCESS
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        sink = 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#12 0x00000039a6441d8c in gst_element_change_state (element=element@entry=, transition=transition@entry=GST_STATE_CHANGE_NULL_TO_READY) at gstelement.c:2761
        oclass = <optimized out>
        ret = GST_STATE_CHANGE_SUCCESS
        __PRETTY_FUNCTION__ = "gst_element_change_state"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#13 0x00000039a64426d8 in gst_element_set_state_func (element=, state=GST_STATE_READY) at gstelement.c:2717
        current = GST_STATE_NULL
        next = GST_STATE_READY
        old_pending = <optimized out>
        ret = <optimized out>
        transition = GST_STATE_CHANGE_NULL_TO_READY
        old_ret = <optimized out>
        __PRETTY_FUNCTION__ = "gst_element_set_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#14 0x00000039a642f8c7 in gst_bin_element_set_state (next=GST_STATE_READY, current=GST_STATE_NULL, start_time=0, base_time=0, element=, bin=) at gstbin.c:2209
        child_current = GST_STATE_NULL
        found = <optimized out>
        ret = <optimized out>
        locked = <optimized out>
        pending = <optimized out>
        child_pending = GST_STATE_VOID_PENDING
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#15 gst_bin_change_state_func (element=, transition=GST_STATE_CHANGE_NULL_TO_READY) at gstbin.c:2518
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        child = 
        data = 0x7f722402c330
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        bin = 
        ret = <optimized out>
        current = GST_STATE_NULL
        next = GST_STATE_READY
        have_async = 0
        have_no_preroll = <optimized out>
        base_time = 0
        start_time = 0
        it = 0x3da42e0
        done = 0
        __PRETTY_FUNCTION__ = "gst_bin_change_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#16 0x00000039a6441d8c in gst_element_change_state (element=element@entry=, transition=transition@entry=GST_STATE_CHANGE_NULL_TO_READY) at gstelement.c:2761
        oclass = <optimized out>
        ret = GST_STATE_CHANGE_SUCCESS
        __PRETTY_FUNCTION__ = "gst_element_change_state"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#17 0x00000039a64426d8 in gst_element_set_state_func (element=, state=GST_STATE_READY) at gstelement.c:2717
        current = GST_STATE_NULL
        next = GST_STATE_READY
        old_pending = <optimized out>
        ret = <optimized out>
        transition = GST_STATE_CHANGE_NULL_TO_READY
        old_ret = <optimized out>
        __PRETTY_FUNCTION__ = "gst_element_set_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#18 0x00007f722119931f in gst_switch_sink_commit_new_kid (sink=) at gstswitchsink.c:166
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        new_kid = 
        is_fakesink = 0
        targetpad = <optimized out>
        kid_state = GST_STATE_READY
        old_kid = <optimized out>
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        bus = 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#19 gst_switch_sink_set_child (sink=sink@entry=, new_kid=new_kid@entry=) at gstswitchsink.c:247
        cur = <optimized out>
        next = <optimized out>
        p_kid = <optimized out>
        __FUNCTION__ = "gst_switch_sink_set_child"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#20 0x00007f7221197093 in gst_gsettings_audio_sink_change_child (sink=sink@entry=) at gstgsettingsaudiosink.c:129
        key = <optimized out>
        new_string = 0x3a83120 "autoaudiosink"
        err = 0x0
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        new_kid = 
        __FUNCTION__ = "gst_gsettings_audio_sink_change_child"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#21 0x00007f72211973d6 in gst_gsettings_audio_sink_change_state (element=, transition=GST_STATE_CHANGE_NULL_TO_READY) at gstgsettingsaudiosink.c:292
        ret = GST_STATE_CHANGE_SUCCESS
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        sink = 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#22 0x00000039a6441d8c in gst_element_change_state (element=element@entry=, transition=transition@entry=GST_STATE_CHANGE_NULL_TO_READY) at gstelement.c:2761
        oclass = <optimized out>
        ret = GST_STATE_CHANGE_SUCCESS
        __PRETTY_FUNCTION__ = "gst_element_change_state"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#23 0x00000039a64426d8 in gst_element_set_state_func (element=, state=GST_STATE_READY) at gstelement.c:2717
        current = GST_STATE_NULL
        next = GST_STATE_READY
        old_pending = <optimized out>
        ret = <optimized out>
        transition = GST_STATE_CHANGE_NULL_TO_READY
        old_ret = <optimized out>
        __PRETTY_FUNCTION__ = "gst_element_set_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#24 0x00000039a642f8c7 in gst_bin_element_set_state (next=GST_STATE_READY, current=GST_STATE_NULL, start_time=2209025746, base_time=0, element=, bin=) at gstbin.c:2209
        child_current = GST_STATE_NULL
        found = <optimized out>
        ret = <optimized out>
        locked = <optimized out>
        pending = <optimized out>
        child_pending = GST_STATE_VOID_PENDING
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#25 gst_bin_change_state_func (element=, transition=GST_STATE_CHANGE_NULL_TO_READY) at gstbin.c:2518
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        child = 
        data = 0x3254a80
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        bin = 
        ret = <optimized out>
        current = GST_STATE_NULL
        next = GST_STATE_READY
        have_async = 0
        have_no_preroll = <optimized out>
        base_time = 0
        start_time = 2209025746
        it = 0x3da3810
        done = 0
        __PRETTY_FUNCTION__ = "gst_bin_change_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#26 0x00000039a6441d8c in gst_element_change_state (element=element@entry=, transition=transition@entry=GST_STATE_CHANGE_NULL_TO_READY) at gstelement.c:2761
        oclass = <optimized out>
        ret = GST_STATE_CHANGE_SUCCESS
        __PRETTY_FUNCTION__ = "gst_element_change_state"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#27 0x00000039a64426d8 in gst_element_set_state_func (element=, state=GST_STATE_READY) at gstelement.c:2717
        current = GST_STATE_NULL
        next = GST_STATE_READY
        old_pending = <optimized out>
        ret = <optimized out>
        transition = GST_STATE_CHANGE_NULL_TO_READY
        old_ret = <optimized out>
        __PRETTY_FUNCTION__ = "gst_element_set_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#28 0x00007f72215c816d in autoplug_continue_cb (element=element@entry=, pad=, caps=0x2386480, group=0x26cf450) at gstplaybin2.c:3177
        sinkcaps = <optimized out>
        ret = 1
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        sink = 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        sinkpad = 
        __PRETTY_FUNCTION__ = "autoplug_continue_cb"
#29 0x00007f720a744af4 in gst_play_marshal_BOOLEAN__OBJECT_BOXED (closure=0x3ab1760, return_value=0x7fffaac75e10, n_param_values=<optimized out>, param_values=0x7fffaac75ec0, invocation_hint=<optimized out>, marshal_data=<optimized out>) at gstplay-marshal.c:86
        callback = 0x7f72215c7e30 <autoplug_continue_cb>
        cc = <optimized out>
        data1 = 0x273a300
        data2 = <optimized out>
        v_return = <optimized out>
        __PRETTY_FUNCTION__ = "gst_play_marshal_BOOLEAN__OBJECT_BOXED"
#30 0x0000003984e0f910 in g_closure_invoke (closure=0x3ab1760, return_value=return_value@entry=0x7fffaac75e10, n_param_values=3, param_values=param_values@entry=0x7fffaac75ec0, invocation_hint=invocation_hint@entry=0x7fffaac75e60) at gclosure.c:777
        marshal = 0x7f720a744a60 <gst_play_marshal_BOOLEAN__OBJECT_BOXED>
        marshal_data = 0x0
        in_marshal = 0
        real_closure = 0x3ab1740
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#31 0x0000003984e20d08 in signal_emit_unlocked_R (node=node@entry=0x3d38b90, detail=detail@entry=0, instance=instance@entry=0x273a300, emission_return=emission_return@entry=0x7fffaac75fb0, instance_and_params=instance_and_params@entry=0x7fffaac75ec0) at gsignal.c:3551
        tmp = <optimized out>
        handler = 0x3aae160
        accumulator = 0x3d37cc0
        emission = {next = 0x7fffaac763d0, instance = 0x273a300, ihint = {signal_id = 521, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x3d39810
        hlist = 0x3aae160
        handler_list = 0x3aae160
        return_accu = 0x7fffaac75e10
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 521
        max_sequential_handler_number = 9392
        return_value_altered = 0
#32 0x0000003984e288c7 in g_signal_emit_valist (instance=0x273a300, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffaac76138) at gsignal.c:3310
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        error = 0x0
        rtype = 20
        static_scope = 0
        instance_and_params = 0x7fffaac75ec0
        signal_return_type = 20
        param_values = 0x7fffaac75ed8
        node = <optimized out>
        i = <optimized out>
        n_params = 2
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#33 0x0000003984e28de2 in g_signal_emit (instance=instance@entry=0x273a300, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
        var_args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fffaac76210, reg_save_area = 0x7fffaac76150}}
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#34 0x00007f720a740195 in proxy_autoplug_continue_signal (element=element@entry=, pad=<optimized out>, caps=<optimized out>, dec=) at gsturidecodebin.c:1551
        result = 57
        __PRETTY_FUNCTION__ = "proxy_autoplug_continue_signal"
#35 0x00007f720a744af4 in gst_play_marshal_BOOLEAN__OBJECT_BOXED (closure=0x3d435a0, return_value=0x7fffaac76390, n_param_values=<optimized out>, param_values=0x7fffaac76440, invocation_hint=<optimized out>, marshal_data=<optimized out>) at gstplay-marshal.c:86
        callback = 0x7f720a740170 <proxy_autoplug_continue_signal>
        cc = <optimized out>
        data1 = 0x273a530
        data2 = <optimized out>
        v_return = <optimized out>
        __PRETTY_FUNCTION__ = "gst_play_marshal_BOOLEAN__OBJECT_BOXED"
#36 0x0000003984e0f910 in g_closure_invoke (closure=0x3d435a0, return_value=return_value@entry=0x7fffaac76390, n_param_values=3, param_values=param_values@entry=0x7fffaac76440, invocation_hint=invocation_hint@entry=0x7fffaac763e0) at gclosure.c:777
        marshal = 0x7f720a744a60 <gst_play_marshal_BOOLEAN__OBJECT_BOXED>
        marshal_data = 0x0
        in_marshal = 0
        real_closure = 0x3d43580
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#37 0x0000003984e20d08 in signal_emit_unlocked_R (node=node@entry=0x3d35cf0, detail=detail@entry=0, instance=instance@entry=0x273a530, emission_return=emission_return@entry=0x7fffaac76530, instance_and_params=instance_and_params@entry=0x7fffaac76440) at gsignal.c:3551
        tmp = <optimized out>
        handler = 0x3d37040
        accumulator = 0x3d35d60
        emission = {next = 0x7fffaac76a20, instance = 0x273a530, ihint = {signal_id = 530, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x3d35ca0
        hlist = 0x3d37040
        handler_list = 0x3d37040
        return_accu = 0x7fffaac76390
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 530
        max_sequential_handler_number = 9392
        return_value_altered = 0
#38 0x0000003984e288c7 in g_signal_emit_valist (instance=0x273a530, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffaac766b8) at gsignal.c:3310
        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        error = 0x0
        rtype = 20
        static_scope = 0
        instance_and_params = 0x7fffaac76440
        signal_return_type = 20
        param_values = 0x7fffaac76458
        node = <optimized out>
        i = <optimized out>
        n_params = 2
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#39 0x0000003984e28de2 in g_signal_emit (instance=instance@entry=0x273a530, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
        var_args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fffaac76790, reg_save_area = 0x7fffaac766d0}}
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#40 0x00007f720a73ce79 in analyze_new_pad (dbin=dbin@entry=, src=src@entry=, pad=pad@entry=, caps=caps@entry=0x2386480, chain=0x3da0340) at gstdecodebin2.c:1447
        apcontinue = 1
        factories = 0x0
        result = 0x0
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        dpad = 
        factory = <optimized out>
        classification = <optimized out>
        is_parser_converter = 0
        res = 0
        __PRETTY_FUNCTION__ = "analyze_new_pad"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#41 0x00007f720a73ec4f in type_found (typefind=, probability=<optimized out>, caps=0x2386480, decode_bin=) at gstdecodebin2.c:2285
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        pad = 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        sink_pad = 
        __PRETTY_FUNCTION__ = "type_found"
#42 0x0000003984e0f910 in g_closure_invoke (closure=0x3d41320, return_value=return_value@entry=0x0, n_param_values=3, param_values=param_values@entry=0x7fffaac76a90, invocation_hint=invocation_hint@entry=0x7fffaac76a30) at gclosure.c:777
        marshal = 0x39a649ac80 <gst_marshal_VOID__UINT_BOXED>
        marshal_data = 0x0
        in_marshal = 0
        real_closure = 0x3d41300
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#43 0x0000003984e20d08 in signal_emit_unlocked_R (node=node@entry=0x3d416d0, detail=detail@entry=0, instance=instance@entry=0x325f870, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fffaac76a90) at gsignal.c:3551
        tmp = <optimized out>
        handler = 0x3d37230
        accumulator = 0x0
        emission = {next = 0x7fffaac78090, instance = 0x325f870, ihint = {signal_id = 535, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x3d3de00
        hlist = 0x3d37230
        handler_list = 0x3d37230
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 535
        max_sequential_handler_number = 9389
        return_value_altered = 1
#44 0x0000003984e28c8d in g_signal_emit_valist (instance=0x325f870, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffaac76d08) at gsignal.c:3300
        instance_and_params = 0x7fffaac76a90
        signal_return_type = 4
        param_values = 0x7fffaac76aa8
        node = <optimized out>
        i = <optimized out>
        n_params = 2
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#45 0x0000003984e28de2 in g_signal_emit (instance=instance@entry=0x325f870, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
        var_args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fffaac76de0, reg_save_area = 0x7fffaac76d20}}
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#46 0x00007f7220f82619 in gst_type_find_element_activate (pad=) at gsttypefindelement.c:1003
        probability = GST_TYPE_FIND_MAXIMUM
        found_caps = 0x2386480
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        typefind = 
        __PRETTY_FUNCTION__ = "gst_type_find_element_activate"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#47 0x00000039a645c9ce in gst_pad_set_active (pad=pad@entry=, active=1) at gstpad.c:711
        old = <optimized out>
        ret = 0
        __PRETTY_FUNCTION__ = "gst_pad_set_active"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#48 0x00000039a643d7a0 in activate_pads (pad=, ret=0x7fffaac76ef0, active=<optimized out>) at gstelement.c:2845
        cont = 1
#49 0x00000039a644f336 in gst_iterator_fold (it=it@entry=0x3da36f0, func=func@entry=0x39a643d780 <activate_pads>, ret=ret@entry=0x7fffaac76ef0, user_data=user_data@entry=0x7fffaac76f4c) at gstiterator.c:549
        item = 0x3d3a340
        result = GST_ITERATOR_OK
#50 0x00000039a643d711 in iterator_activate_fold_with_resync (iter=iter@entry=0x3da36f0, func=func@entry=0x39a643d780 <activate_pads>, user_data=user_data@entry=0x7fffaac76f4c) at gstelement.c:2876
        ires = <optimized out>
        ret = {g_type = 20, data = {{v_int = 1, v_uint = 1, v_long = 1, v_ulong = 1, v_int64 = 1, v_uint64 = 1, v_float = 1.40129846e-45, v_double = 4.9406564584124654e-324, v_pointer = 0x1}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#51 0x00000039a643fd6f in gst_element_pads_activate (element=element@entry=, active=active@entry=1) at gstelement.c:2920
        iter = 0x3da36f0
        res = 1
        __PRETTY_FUNCTION__ = "gst_element_pads_activate"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#52 0x00000039a644005b in gst_element_change_state_func (element=, transition=<optimized out>) at gstelement.c:2990
        state = GST_STATE_READY
        next = GST_STATE_PAUSED
        result = GST_STATE_CHANGE_SUCCESS
        clock_p = <optimized out>
        __PRETTY_FUNCTION__ = "gst_element_change_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#53 0x00007f7220f83028 in gst_type_find_element_change_state (element=, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gsttypefindelement.c:1031
        ret = <optimized out>
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        typefind = 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#54 0x00000039a6441d8c in gst_element_change_state (element=element@entry=, transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2761
        oclass = <optimized out>
        ret = GST_STATE_CHANGE_SUCCESS
        __PRETTY_FUNCTION__ = "gst_element_change_state"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#55 0x00000039a64426d8 in gst_element_set_state_func (element=, state=GST_STATE_PAUSED) at gstelement.c:2717
        current = GST_STATE_READY
        next = GST_STATE_PAUSED
        old_pending = <optimized out>
        ret = <optimized out>
        transition = GST_STATE_CHANGE_READY_TO_PAUSED
        old_ret = <optimized out>
        __PRETTY_FUNCTION__ = "gst_element_set_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#56 0x00000039a642f8c7 in gst_bin_element_set_state (next=GST_STATE_PAUSED, current=GST_STATE_READY, start_time=2209025746, base_time=0, element=, bin=) at gstbin.c:2209
        child_current = GST_STATE_READY
        found = <optimized out>
        ret = <optimized out>
        locked = <optimized out>
        pending = <optimized out>
        child_pending = GST_STATE_VOID_PENDING
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#57 gst_bin_change_state_func (element=, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstbin.c:2518
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        child = 
        data = 0x325f870
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        bin = 
        ret = <optimized out>
        current = GST_STATE_READY
        next = GST_STATE_PAUSED
        have_async = 0
        have_no_preroll = <optimized out>
        base_time = 0
        start_time = 2209025746
        it = 0x3da3630
        done = 0
        __PRETTY_FUNCTION__ = "gst_bin_change_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#58 0x00007f720a73b897 in gst_decode_bin_change_state (element=, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstdecodebin2.c:4027
        bret = <optimized out>
        ret = GST_STATE_CHANGE_ASYNC
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        dbin = 
        __PRETTY_FUNCTION__ = "gst_decode_bin_change_state"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#59 0x00000039a6441d8c in gst_element_change_state (element=element@entry=, transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2761
        oclass = <optimized out>
        ret = GST_STATE_CHANGE_SUCCESS
        __PRETTY_FUNCTION__ = "gst_element_change_state"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#60 0x00000039a64426d8 in gst_element_set_state_func (element=, state=GST_STATE_PAUSED) at gstelement.c:2717
        current = GST_STATE_READY
        next = GST_STATE_PAUSED
        old_pending = <optimized out>
        ret = <optimized out>
        transition = GST_STATE_CHANGE_READY_TO_PAUSED
        old_ret = <optimized out>
        __PRETTY_FUNCTION__ = "gst_element_set_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#61 0x00000039a642f8c7 in gst_bin_element_set_state (next=GST_STATE_PAUSED, current=GST_STATE_READY, start_time=2209025746, base_time=0, element=, bin=) at gstbin.c:2209
        child_current = GST_STATE_READY
        found = <optimized out>
        ret = <optimized out>
        locked = <optimized out>
        pending = <optimized out>
        child_pending = GST_STATE_VOID_PENDING
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#62 gst_bin_change_state_func (element=, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstbin.c:2518
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        child = 
        data = 0x273a530
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        bin = 
        ret = <optimized out>
        current = GST_STATE_READY
        next = GST_STATE_PAUSED
        have_async = 0
        have_no_preroll = <optimized out>
        base_time = 0
        start_time = 2209025746
        it = 0x3da20d0
        done = 0
        __PRETTY_FUNCTION__ = "gst_bin_change_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#63 0x00007f720a743907 in gst_uri_decode_bin_change_state (element=, transition=<optimized out>) at gsturidecodebin.c:2500
        ret = <optimized out>
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        decoder = 
        __PRETTY_FUNCTION__ = "gst_uri_decode_bin_change_state"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#64 0x00000039a6441d8c in gst_element_change_state (element=element@entry=, transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2761
        oclass = <optimized out>
        ret = GST_STATE_CHANGE_SUCCESS
        __PRETTY_FUNCTION__ = "gst_element_change_state"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#65 0x00000039a64426d8 in gst_element_set_state_func (element=, state=GST_STATE_PAUSED) at gstelement.c:2717
        current = GST_STATE_READY
        next = GST_STATE_PAUSED
        old_pending = <optimized out>
        ret = <optimized out>
        transition = GST_STATE_CHANGE_READY_TO_PAUSED
        old_ret = <optimized out>
        __PRETTY_FUNCTION__ = "gst_element_set_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#66 0x00000039a642f8c7 in gst_bin_element_set_state (next=GST_STATE_PAUSED, current=GST_STATE_READY, start_time=2209025746, base_time=0, element=, bin=) at gstbin.c:2209
        child_current = GST_STATE_READY
        found = <optimized out>
        ret = <optimized out>
        locked = <optimized out>
        pending = <optimized out>
        child_pending = GST_STATE_VOID_PENDING
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#67 gst_bin_change_state_func (element=, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstbin.c:2518
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        child = 
        data = 0x273a300
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        bin = 
        ret = <optimized out>
        current = GST_STATE_READY
        next = GST_STATE_PAUSED
        have_async = 1
        have_no_preroll = <optimized out>
        base_time = 0
        start_time = 2209025746
        it = 0x243f6f0
        done = 0
        __PRETTY_FUNCTION__ = "gst_bin_change_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#68 0x00000039a64605f5 in gst_pipeline_change_state (element=, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstpipeline.c:482
        result = GST_STATE_CHANGE_SUCCESS
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        pipeline = 
        clock = <optimized out>
        __PRETTY_FUNCTION__ = "gst_pipeline_change_state"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#69 0x00007f72215ca801 in gst_play_bin_change_state (element=, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstplaybin2.c:3936
        ret = <optimized out>
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        playbin = 
        do_save = 0
        __PRETTY_FUNCTION__ = "gst_play_bin_change_state"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#70 0x00000039a6441d8c in gst_element_change_state (element=element@entry=, transition=transition@entry=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2761
        oclass = <optimized out>
        ret = GST_STATE_CHANGE_SUCCESS
        __PRETTY_FUNCTION__ = "gst_element_change_state"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#71 0x00000039a64426d8 in gst_element_set_state_func (element=, state=GST_STATE_PLAYING) at gstelement.c:2717
        current = GST_STATE_READY
        next = GST_STATE_PAUSED
        old_pending = <optimized out>
        ret = <optimized out>
        transition = GST_STATE_CHANGE_READY_TO_PAUSED
        old_ret = <optimized out>
        __PRETTY_FUNCTION__ = "gst_element_set_state_func"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#72 0x0000003999edbbce in start_state_change (mp=, state=GST_STATE_PLAYING, action=FINISH_TRACK_CHANGE) at rb-player-gst.c:383
        scr = <optimized out>
#73 0x0000003999edbe04 in impl_play (player=<optimized out>, play_type=<optimized out>, crossfade=<optimized out>, error=0x7fffaac778f0) at rb-player-gst.c:854
        reused = 0
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        mp = 
        __PRETTY_FUNCTION__ = "impl_play"
        __FUNCTION__ = "impl_play"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#74 0x0000003999e5a042 in rb_shell_player_open_location (player=player@entry=, entry=entry@entry=0x7f721d1f0000, play_type=play_type@entry=RB_PLAYER_PLAY_REPLACE, error=error@entry=0x7fffaac778f0) at rb-shell-player.c:1681
        location = 0x2666bc0 "file:///home/tbl/Music/AVRO/50s/Slim%20Whitman%20-%20Indian%20Love%20Call.mp3"
        ret = 1
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#75 0x0000003999e5ba14 in rb_shell_player_set_playing_entry (player=player@entry=, entry=entry@entry=0x7f721d1f0000, out_of_order=out_of_order@entry=0, wait_for_eos=wait_for_eos@entry=0, error=error@entry=0x7fffaac779c8) at rb-shell-player.c:1796
        tmp_error = 0x0
        val = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        play_type = RB_PLAYER_PLAY_REPLACE
        __PRETTY_FUNCTION__ = "rb_shell_player_set_playing_entry"
        __FUNCTION__ = "rb_shell_player_set_playing_entry"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#76 0x0000003999e5ede0 in rb_shell_player_do_next_internal (player=player@entry=, from_eos=from_eos@entry=0, allow_stop=allow_stop@entry=1, error=error@entry=0x7fffaac779c8) at rb-shell-player.c:2217
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        new_source = 
        entry = 0x7f721d1f0000
        rv = 1
        __FUNCTION__ = "rb_shell_player_do_next_internal"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#77 0x0000003999e5efdf in rb_shell_player_do_next (player=player@entry=, error=error@entry=0x7fffaac779c8) at rb-shell-player.c:2260
No locals.
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#78 0x0000003999e5fe27 in rb_shell_player_cmd_next (action=<optimized out>, player=) at rb-shell-player.c:2285
        error = 0x0
#79 0x0000003984e0f910 in g_closure_invoke (closure=0x26c24b0, return_value=return_value@entry=0x0, n_param_values=1, param_values=param_values@entry=0x7fffaac77bc0, invocation_hint=invocation_hint@entry=0x7fffaac77b60) at gclosure.c:777
        marshal = 0x3984e11740 <g_cclosure_marshal_VOID__VOID>
        marshal_data = 0x0
        in_marshal = 0
        real_closure = 0x26c2490
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#80 0x0000003984e20d08 in signal_emit_unlocked_R (node=node@entry=0x2647390, detail=detail@entry=0, instance=instance@entry=0x2670b20, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fffaac77bc0) at gsignal.c:3551
        tmp = <optimized out>
        handler = 0x26c7d00
        accumulator = 0x0
        emission = {next = 0x0, instance = 0x2670b20, ihint = {signal_id = 240, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x2644ad0
        hlist = 0x26c7d00
        handler_list = 0x26c7d00
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 240
        max_sequential_handler_number = 9379
        return_value_altered = 1
#81 0x0000003984e28c8d in g_signal_emit_valist (instance=0x2670b20, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffaac77e08) at gsignal.c:3300
        instance_and_params = 0x7fffaac77bc0
        signal_return_type = 4
        param_values = 0x7fffaac77bd8
        node = <optimized out>
        i = <optimized out>
        n_params = 0
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#82 0x0000003984e28de2 in g_signal_emit (instance=instance@entry=0x2670b20, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fffaac77ee0, reg_save_area = 0x7fffaac77e20}}
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#83 0x000000399529a748 in _gtk_action_emit_activate (action=) at gtkaction.c:801
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        group = 
#84 0x000000399529ad9d in gtk_action_activate (action=<optimized out>) at gtkaction.c:832
        __PRETTY_FUNCTION__ = "gtk_action_activate"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#85 0x000000399546a259 in button_clicked (widget=<optimized out>, button=) at gtktoolbutton.c:877
        action = <optimized out>
#86 0x0000003984e0fbd7 in _g_closure_invoke_va (closure=closure@entry=0x2999b00, return_value=return_value@entry=0x0, instance=instance@entry=0x29786d0, args=args@entry=0x7fffaac781d8, n_params=0, param_types=0x0) at gclosure.c:840
        marshal = 0x3984e117e0 <g_cclosure_marshal_VOID__VOIDv>
        marshal_data = 0x0
        in_marshal = 0
        real_closure = 0x2999ae0
        __PRETTY_FUNCTION__ = "_g_closure_invoke_va"
#87 0x0000003984e283a8 in g_signal_emit_valist (instance=0x29786d0, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffaac781d8) at gsignal.c:3211
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x0
        emission = {next = 0x7fffaac78450, instance = 0x29786d0, ihint = {signal_id = 184, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 39988944}
        signal_id = 184
        instance_type = 39988944
        emission_return = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        rtype = 4
        static_scope = 0
        closure = 0x2999b00
        run_type = <optimized out>
        hlist = 0x0
        l = <optimized out>
        fastpath = 0
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        node = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#88 0x0000003984e28de2 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3356
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fffaac782b0, reg_save_area = 0x7fffaac781f0}}
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#89 0x00000039952c1048 in gtk_real_button_released (button=) at gtkbutton.c:1967
        priv = <optimized out>
#90 0x0000003984e0f910 in g_closure_invoke (closure=closure@entry=0x2559890, return_value=return_value@entry=0x0, n_param_values=1, param_values=param_values@entry=0x7fffaac784c0, invocation_hint=invocation_hint@entry=0x7fffaac78460) at gclosure.c:777
        marshal = 0x3984e0e570 <g_type_class_meta_marshal>
        marshal_data = 0x3f8
        in_marshal = 0
        real_closure = 0x2559870
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#91 0x0000003984e20633 in signal_emit_unlocked_R (node=node@entry=0x25598c0, detail=detail@entry=0, instance=instance@entry=0x29786d0, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7fffaac784c0) at gsignal.c:3481
        accumulator = 0x0
        emission = {next = 0x7fffaac789d0, instance = 0x29786d0, ihint = {signal_id = 183, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 39988944}
        class_closure = 0x2559890
        hlist = 0x0
        handler_list = <optimized out>
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 183
        max_sequential_handler_number = 9379
        return_value_altered = <optimized out>
#92 0x0000003984e28c8d in g_signal_emit_valist (instance=0x29786d0, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffaac78708) at gsignal.c:3300
        instance_and_params = 0x7fffaac784c0
        signal_return_type = 4
        param_values = 0x7fffaac784d8
        node = <optimized out>
        i = <optimized out>
        n_params = 0
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#93 0x0000003984e28de2 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fffaac787e0, reg_save_area = 0x7fffaac78720}}
#94 0x00000039952bfdb3 in gtk_button_button_release (widget=<optimized out>, event=<optimized out>) at gtkbutton.c:1802
        button = <optimized out>
#95 gtk_button_button_release (widget=<optimized out>, event=<optimized out>) at gtkbutton.c:1794
No locals.
#96 0x000000399538d48f in _gtk_marshal_BOOLEAN__BOXEDv (closure=0x24de810, return_value=0x7fffaac78950, instance=0x29786d0, args=<optimized out>, marshal_data=<optimized out>, n_params=<optimized out>, param_types=0x24de5d0) at gtkmarshalers.c:130
        cc = <optimized out>
        data1 = <optimized out>
        data2 = <optimized out>
        callback = <optimized out>
        arg0 = 0x3d38700
        args_copy = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fffaac78bf0, reg_save_area = 0x7fffaac78b30}}
        v_return = <optimized out>
        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXEDv"
#97 0x0000003984e0fbd7 in _g_closure_invoke_va (closure=closure@entry=0x24de810, return_value=return_value@entry=0x7fffaac78950, instance=instance@entry=0x29786d0, args=args@entry=0x7fffaac78b18, n_params=1, param_types=0x24de5d0) at gclosure.c:840
        marshal = 0x3984e0df70 <g_type_class_meta_marshalv>
        marshal_data = 0x188
        in_marshal = 0
        real_closure = 0x24de7f0
        __PRETTY_FUNCTION__ = "_g_closure_invoke_va"
#98 0x0000003984e283a8 in g_signal_emit_valist (instance=0x29786d0, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7fffaac78b18) at gsignal.c:3211
        return_accu = 0x7fffaac78950
        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        accumulator = 0x24de8b0
        emission = {next = 0x0, instance = 0x29786d0, ihint = {signal_id = 54, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 39988944}
        signal_id = 54
        instance_type = 39988944
        emission_return = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        rtype = 20
        static_scope = 0
        closure = 0x24de810
        run_type = <optimized out>
        hlist = 0x24de8b0
        l = <optimized out>
        fastpath = -1429763760
        instance_and_params = <optimized out>
        signal_return_type = <optimized out>
        param_values = <optimized out>
        node = <optimized out>
        i = <optimized out>
        n_params = <optimized out>
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#99 0x0000003984e28de2 in g_signal_emit (instance=instance@entry=0x29786d0, signal_id=<optimized out>, detail=detail@entry=0) at gsignal.c:3356
        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fffaac78bf0, reg_save_area = 0x7fffaac78b30}}
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#100 0x00000039954bb1ee in gtk_widget_event_internal (widget=widget@entry=, event=event@entry=0x3d38700) at gtkwidget.c:6294
        signal_num = <optimized out>
        return_val = 0
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#101 0x00000039954bb609 in gtk_widget_event (widget=widget@entry=, event=event@entry=0x3d38700) at gtkwidget.c:5951
        __PRETTY_FUNCTION__ = "gtk_widget_event"
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#102 0x000000399538b396 in propagate_event_up (topmost=<optimized out>, event=<optimized out>, widget=) at gtkmain.c:2400
        tmp = <optimized out>
        handled_event = <optimized out>
#103 propagate_event (widget=<optimized out>, event=0x3d38700, captured=<optimized out>, topmost=0x0) at gtkmain.c:2500
        handled_event = 0
        propagate_func = 0x39954bb580 <gtk_widget_event>
#104 0x000000399538d033 in gtk_main_do_event (event=0x3d38700) at gtkmain.c:1723
        event_widget = <optimized out>
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        grab_widget = 
        topmost_widget = <optimized out>
        window_group = <optimized out>
        rewritten_event = <optimized out>
        device = <optimized out>
        tmp_list = <optimized out>
        __PRETTY_FUNCTION__ = "gtk_main_do_event"
#105 0x0000003996e4a7e2 in gdk_event_source_dispatch (source=source@entry=0x252a1f0, callback=<optimized out>, user_data=<optimized out>) at gdkeventsource.c:358
        display = <optimized out>
        event = 0x3d38700
#106 0x0000003984247a95 in g_main_dispatch (context=0x2388650) at gmain.c:2715
        dispatch = 0x3996e4a7c0 <gdk_event_source_dispatch>
        was_in_call = 0
        user_data = 0x0
        callback = 0x0
        cb_funcs = 0x0
        cb_data = 0x0
        current_source_link = {data = 0x252a1f0, next = 0x0}
        need_destroy = <optimized out>
        source = 0x252a1f0
        current = 0x2504660
        i = <optimized out>
#107 g_main_context_dispatch (context=context@entry=0x2388650) at gmain.c:3219
No locals.
#108 0x0000003984247dc8 in g_main_context_iterate (context=context@entry=0x2388650, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3290
        max_priority = 2147483647
        timeout = 185
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = <optimized out>
        fds = 0x2a58770
#109 0x0000003984247e84 in g_main_context_iteration (context=0x2388650, context@entry=0x0, may_block=may_block@entry=1) at gmain.c:3351
        retval = <optimized out>
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#110 0x0000003985a9a72c in g_application_run (application=, argc=argc@entry=1, argv=argv@entry=0x7fffaac78f58) at gapplication.c:1620
        arguments = 0x2636250
        status = 0
        i = <optimized out>
        __PRETTY_FUNCTION__ = "g_application_run"
#111 0x000000000040117f in main (argc=1, argv=0x7fffaac78f58) at main.c:99
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
        shell = 
        autostarted = 0
        desktop_file_path = <optimized out>
        new_argc = 1
        new_argv = 0x7fffaac78f58
(gdb)
Comment 2 Olav Vitters 2012-10-08 16:11:17 EDT
Also filed one upstream @ https://bugzilla.gnome.org/show_bug.cgi?id=685749.
Comment 3 Fedora Update System 2012-10-11 08:32:25 EDT
rhythmbox-2.98-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rhythmbox-2.98-3.fc18
Comment 4 Tom London 2012-10-11 09:31:30 EDT
rhythmbox-2.98-3.fc18 works for me.

Thanks!
Comment 5 Kalev Lember 2012-10-12 01:17:13 EDT
Great, thanks for testing!

Note You need to log in before you can comment on or make changes to this bug.